List Global Clusters (V2)
List all global clusters in the account.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The number of records to include in each response.
The current page number.
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/globalClusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Total number of global clusters.
Current page number.
Number of records per page.
List of global clusters.
ID of a global cluster.
Name of a global cluster.
ID of the project that the global cluster belongs to.
List of region IDs where the global cluster is deployed.
A region ID.
Compute unit (CU) type of the global cluster. Members of a global cluster share the same CU type.
Compute unit (CU) size of the global cluster. Members of a global cluster share the same CU size.
Connection address of the global cluster.
Creation time of the global cluster.
Returns an error message.
Response code.
Error message.
{
"count": 1,
"currentPage": 1,
"pageSize": 10,
"globalClusters": [
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"globalClusterName": "my-global-cluster",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionIds": [
"aws-us-west-2",
"aws-eu-west-1"
],
"cuType": "Performance-optimized",
"cuSize": 4,
"connectAddress": "https://glo-xxxxxxxx.global-cluster.vectordb.zillizcloud.com",
"createTime": "2026-06-01T12:00:00Z"
}
]
}